$(function() {
    $('#frmFeedback').validate({
        rules: {
            frmFeedback_comments: {
                required: true
            }
        },
        messages: {
			frmFeedback_comments: {
				required: "This field cannot be left blank."
 			}
        },
        errorPlacement: function (error, element) {
            if (element.is('select')) {
                error.insertAfter(element.parents('div.ui-select'));
			} else {
                error.insertAfter(element.parent('div'));
            }
        },
		submitHandler: function(form) {
			var sComments = $('#frmFeedback_comments').val();
			
			$.mobile.showPageLoadingMsg();
			var jqxhr = $.post("https://xymobile.xytex.com/feedback-action-mobile.cfm", 
			{
				mobileSessionID : $('#hdnSessionID').val(),
				txtComments : sComments
			},
			function(data) {  
				$('.feedback_result').html(data);
				$.mobile.changePage( $('#xytex_feedback_result'), { transition: "slide"} );
			})
			.done(function() { 
				//alert("second success"); 
			})
			.fail(function(data) { 
				//alert(JSON.stringify(data));
				$('.feedback_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
				$.mobile.changePage( $('#xytex_feedback_result'), { transition: "slide"} );
			})
			.always(function() { 
				$.mobile.hidePageLoadingMsg();
			}); 
	
			return false;
		}
	});
});