function handlePageNav() {
	findDonors($(this).attr('page'));
	
	return false;
}
function favAction(donorid, action){
	$.mobile.loading("show");
	var jqxhr = $.post("https://xymobile.xytex.com/favorite-donor-action-mobile.cfm", 
	{
		mobileSessionID : $('#hdnSessionID').val(),
		donorid : donorid,
		action : action
	},
	function(data) {  
		if($.trim(data) == 'success'){
			if(action == 'add'){
				$('.donor-info .favAction').removeClass('add');
				$('.donor-info .favAction').addClass('remove');
				$('.donor-info .favAction').attr('onclick', $('.donor-info .favAction').attr('onclick').replace('add', 'remove'));
				
				$( "#popupDonorAddedToFav" ).popup( "option", "transition", "pop" );
				$( "#popupDonorAddedToFav" ).popup( "open" )
			} else {
				$('.donor-info .favAction').removeClass('remove');
				$('.donor-info .favAction').addClass('add');
				$('.donor-info .favAction').attr('onclick', $('.donor-info .favAction').attr('onclick').replace('remove', 'add'));

				$( "#popupDonorRemovedToFav" ).popup( "option", "transition", "pop" );
				$( "#popupDonorRemovedToFav" ).popup( "open" )
			}
		} else {
			$( "#popupDonorToFavError" ).popup( "option", "transition", "pop" );
			$( "#popupDonorToFavError" ).popup( "open" )
		}
	})
	.done(function() { 
		//alert("second success"); 
	})
	.fail(function(data) { 
	})
	.always(function() { 
		$.mobile.loading("hide");
	}); 
}

function viewProfileFindDonors(){
	var donor_id = $(this).attr('donor_id');
	var prev_donor_id = $(this).attr('prev_donor_id');
	var next_donor_id = $(this).attr('next_donor_id');
	
	var profile_type = $(this).attr('profile_type');	

	$.mobile.showPageLoadingMsg();
	var jqxhr = $.post("https://xymobile.xytex.com/sperm-donor-search/profile-mobile.cfm", 
	{
		mobileSessionID : $('#hdnSessionID').val(),
		donor_id : donor_id,
		prev_donor_id : prev_donor_id,
		next_donor_id : next_donor_id,
		profile_type : profile_type
	},
	function(data) {  
		if(data == "Unauthorized Access") {
			clearLogin();
		} else {
			$('.donor_profile_result').html(data);
			$('a.profile_nav').button();
			$('a.btnPurchase').button();
			$("a.btnPurchase").click(function(){
				$('#hdnPurchaseOptionsDonorID').val($(this).attr('donor_id'));
				$.mobile.changePage( $('#xytex_purchase_options'), { transition: "slide"} );
			});
			
			$('.profile_nav').on("click", viewProfileFindDonors);
			$('.alternativeDonor').on("click", viewProfileFindDonors);
			$('#profile-collapsible-set').collapsibleset();

			/* This will handle external links and open these in native device broswer.
			Further condition applied for the smugmug gallery links and confirming user
			that the link will open in native browser */

			$(".external").on( "click", function( e ) {
				e.preventDefault();
				
				var url = $(this).attr('href');
				if(url.indexOf("https://xymobile.xytex.com/smugmug/") == 0){
					var r = confirm("This donor's xyPortrait images will open in your device's default internet browser. When you are finished viewing the images, you can open this app again to return to this screen.")
					if (r == true)
					{
						var ref = window.open($(this).attr('href'), '_system');
					}
				} else {
					var ref = window.open($(this).attr('href'), '_system');
				}
			});	

			// This is live chat link, to open it in native browser.
			
			$(".lpChatTextLink").on( "click", function( e ) {
				e.preventDefault();
				
				var ref = window.open($(this).attr('href'), '_system');
			});	
			
			$('.btnBackToResults').show();
			$('.btnBackToFavorites').hide();

			if($.mobile.activePage[0].id == "xytex_donor_profile"){
				setNextPrev(".profile_nav");
			} else {
				$.mobile.changePage( $('#xytex_donor_profile'), { transition: "slide"} );
			}
		}
	})
	.done(function() { 
		//alert("second success"); 
	})
	.fail(function(data) { 
		//alert(JSON.stringify(data));
		$('.donor_profile_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
		$.mobile.changePage( $('#xytex_donor_profile'), { transition: "slide"} );
	})
	.always(function() { 
		$.mobile.hidePageLoadingMsg();
	}); 

	return false;
}

function getSelections(id){
	var result = "";
	$("#" + id + " option:selected").each(function () {
		if($(this).text() != 'Any'){
			result += $(this).text() + ",";
		}
	});
	// strip commas
	if(result.length > 0){
		result = result.substring(0, result.length - 1);
	}
	return result;
}

function setNextPrev(selector){
	// next prev donor id settings
	var str = $('#hdnDonorIDCollection').val();
	var dIDs = str.split("|");
	var prevID = "";
	var nextID = "";
	var breakTheLoop = "0";

	$( selector ).each(function( index ) {
		prevID = "";
		nextID = "";
		breakTheLoop = "0";
		for (var i=0;i<dIDs.length;i++)
		{ 
			if(breakTheLoop == "1"){
				nextID = dIDs[i];
				break;
			} else {
				if($(this).attr('donor_id') == dIDs[i]){
					breakTheLoop = "1";
				} else {
					prevID = dIDs[i];
				}
			}
		}
		$(this).attr('prev_donor_id', prevID);
		$(this).attr('next_donor_id', nextID);
	});		
}

function findDonors(page){
	var sHairColor = getSelections("frmFindDonors_selectHairColor");
	var sEyeColor = getSelections("frmFindDonors_selectEyeColor");
	var sRace = getSelections("frmFindDonors_selectRace");

	var chkOnlyXyPortraits = "0";
	var chkOnlyNewDonors = "0";
	var chkOnlyAvailInventory = "0";
	var drpEthnic = "";
	var txtDonorId = "";
	var chkOpenId = "0";
	var chkCanadian = "0";
	var drpReligion = "";
	var drpBloodType = "";
	var drpHeight = "";
	var txtWeight1 = "";
	var txtWeight2 = "";
	var chkWeight = "lbs";
	var drpCMVstatus = "";
	var chkART = "0";
	var chkSelect = "0";
	var chkUK = "0";
	var chkReportedPreg = "0";
	var chkChildPhoto = "0";
	var chkAdultPhoto = "0";
	var chkVideoFile = "0";
	var chkAudioFile = "0";
	var chkKeirsey = "0";
	var chkAvailInventory = "0";
	
	txtDonorId = $('#frmFindDonors_txtDonor').val();
	txtWeight1 = $('#frmFindDonors_txtWeight1').val();
	txtWeight2 = $('#frmFindDonors_txtWeight2').val();
	
	if($('#frmFindDonors_chkWeight_lbs').is(':checked')){
		chkWeight = "lbs";
	} else {
		chkWeight = "kg";
	}
	
	if($('#frmFindDonors_selectEthnicOrigin option:selected').val() != "all"){
		drpEthnic = $('#frmFindDonors_selectEthnicOrigin option:selected').val();
	}
	if($('#frmFindDonors_selectReligion option:selected').val() != "all"){
		drpReligion = $('#frmFindDonors_selectReligion option:selected').val();
	}
	if($('#frmFindDonors_selectBloodType option:selected').val() != "all"){
		drpBloodType = $('#frmFindDonors_selectBloodType option:selected').val();
	}
	if($('#frmFindDonors_selectHeight option:selected').val() != "all"){
		drpHeight = $('#frmFindDonors_selectHeight option:selected').val();
	}
	if($('#frmFindDonors_selectCMVStatus option:selected').val() != "all"){
		drpCMVstatus = $('#frmFindDonors_selectCMVStatus option:selected').val();
	}
	
	if($('#frmFindDonors_chkOnlyXyPortraits:checked').val() == 'on'){
		chkOnlyXyPortraits = "1";
	}
	if($('#frmFindDonors_chkOnlyNewDonors:checked').val() == 'on'){
		chkOnlyNewDonors = "1";
	}
	if($('#frmFindDonors_chkOnlyAvailInventory:checked').val() == 'on'){
		chkOnlyAvailInventory = "1";
	}
	if($('#frmFindDonors_chkOpenId:checked').val() == 'on'){
		chkOpenId = "1";
	}
	if($('#frmFindDonors_chkCanadian:checked').val() == 'on'){
		chkCanadian = "1";
	}
	if($('#frmFindDonors_chkART:checked').val() == 'on'){
		chkART = "1";
	}
	if($('#frmFindDonors_chkSelect:checked').val() == 'on'){
		chkSelect = "1";
	}
	if($('#frmFindDonors_chkUK:checked').val() == 'on'){
		chkUK = "1";
	}
	if($('#frmFindDonors_chkReportedPreg:checked').val() == 'on'){
		chkReportedPreg = "1";
	}
	if($('#frmFindDonors_chkChildPhoto:checked').val() == 'on'){
		chkChildPhoto = "1";
	}
	if($('#frmFindDonors_chkAdultPhoto:checked').val() == 'on'){
		chkAdultPhoto = "1";
	}
	if($('#frmFindDonors_chkVideoFile:checked').val() == 'on'){
		chkVideoFile = "1";
	}
	if($('#frmFindDonors_chkAudioFile:checked').val() == 'on'){
		chkAudioFile = "1";
	}
	if($('#frmFindDonors_chkKeirsey:checked').val() == 'on'){
		chkKeirsey = "1";
	}
	
	$.mobile.showPageLoadingMsg();
	var jqxhr = $.post("https://xymobile.xytex.com/sperm-donor-search/results-mobile.cfm", 
	{
		mobileSessionID : $('#hdnSessionID').val(),
		sHairColor : sHairColor,
		sEyeColor : sEyeColor,
		sRace : sRace,
		chkOnlyXyPortraits : chkOnlyXyPortraits,
		chkOnlyNewDonors : chkOnlyNewDonors,
		chkOnlyAvailInventory : chkOnlyAvailInventory,
		drpEthnic : drpEthnic,
		txtDonorId : txtDonorId,
		chkOpenId : chkOpenId,
		chkCanadian : chkCanadian,
		drpReligion : drpReligion,
		drpBloodType : drpBloodType,
		drpHeight : drpHeight,
		txtWeight1 : txtWeight1,
		txtWeight2 : txtWeight2,
		chkWeight : chkWeight,
		drpCMVstatus : drpCMVstatus,
		chkART : chkART,
		chkSelect : chkSelect,
		chkUK : chkUK,
		chkReportedPreg : chkReportedPreg,

		chkChildPhoto : chkChildPhoto,
		chkAdultPhoto : chkAdultPhoto,
		chkVideoFile : chkVideoFile,
		chkAudioFile : chkAudioFile,
		chkKeirsey : chkKeirsey,
		chkAvailInventory : chkAvailInventory,
		page : page			
	},
	function(data) {  
		if(data == "Unauthorized Access") {
			clearLogin();
		} else {
			$('.donor_search_result').html(data);
			$('#search-collapsible-set').collapsibleset();
						
			$('a.profile_options').button();
			$('.profile_options').on("click", viewProfileFindDonors);
			$('.page_nav').button();
			$('.page_nav').on('click', handlePageNav);
			if(page == 0){
				$.mobile.changePage( $('#xytex_donor_search_result'), { transition: "slide"} );
			}
		}
	})
	.done(function() { 
		//alert("second success"); 
	})
	.fail(function(data) { 
		$('.donor_search_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
		if(page == 0){
			$.mobile.changePage( $('#xytex_donor_search_result'), { transition: "slide"} );
		}
	})
	.always(function() { 
		$.mobile.hidePageLoadingMsg();
	}); 
}

$(function() {
	
	$('#xytex_donor_profile').on( "pagebeforeshow", function( event ) {
		setNextPrev(".profile_nav");
	});

	$('#xytex_donor_search_result').on( "pagebeforeshow", function( event ) {
		setNextPrev(".profile_options");
	});
	
	$("#btnSubmitFindDonors").click(function(){
		// Show first page 
		findDonors(0);

		return false;
	});
});	