$(function() {
    $('#frmForgotPassword').validate({
        rules: {
            frmForgotPassword_email: {
                required: true,
				email: true
            }
        },
        messages: {
			frmForgotPassword_email: {
				required: "Email required.",
				email: "Invalid email."
 			}
        },
        errorPlacement: function (error, element) {
            if (element.is('select')) {
                error.insertAfter(element.parents('div.ui-select'));
			} else {
                error.insertAfter(element.parent('div'));
            }
        },
		submitHandler: function(form) {
			var sEmail = $('#frmForgotPassword_email').val();
			
			$.mobile.showPageLoadingMsg();
			var jqxhr = $.post("https://xymobile.xytex.com/login_lost_action_v2-mobile.cfm", 
			{
				txtEmail : sEmail
			},
			function(data) {  
				$('.forgot_password_result').html(data);
				$.mobile.changePage( $('#xytex_forgot_password_result'), { transition: "slide"} );
			})
			.done(function() { 
				//alert("second success"); 
			})
			.fail(function(data) { 
				//alert(JSON.stringify(data));
				$('.forgot_password_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
				$.mobile.changePage( $('#xytex_forgot_password_result'), { transition: "slide"} );
			})
			.always(function() { 
				$.mobile.hidePageLoadingMsg();
			}); 
	
			return false;
		}
	});
});