function setMainNav(){
	var nav = '';
	var id = $.mobile.activePage[0].id;
	
	var showSignIn = 1;
	var showRegister = 1;
	var showMainMenu = 1;
	var showHelpAndSupport = 1;
	var showTermsOfService = 1;
	var showPrivacyPolicy = 1;
	var showSignOut = 1;
	var showFeedback = 1;
	
	// Check if the hidden fields have any data i.e. user has logged in.
	if ($('#hdnSessionID').val().length == 0) {
		showMainMenu = 0;
		showSignOut = 0;
		showFeedback = 0;
	} else {
		showSignIn = 0;
		showRegister = 0;
	}
	
	if(id == 'xytex_signin'){ showSignIn = 0; } 
	if(id == 'xytex_register'){ showRegister = 0; } 
	if(id == 'xytex_registration_result'){ showRegister = 0; } 
	if(id == 'xytex_actions'){ showMainMenu = 0; } 
	if(id == 'xytex_help_and_support'){ showHelpAndSupport = 0; } 
	if(id == 'xytex_privacy_policy'){ showPrivacyPolicy = 0; } 
	if(id == 'xytex_terms_of_service'){ showTermsOfService = 0; } 
	
	if(showSignIn){ $('#btnSignIn-' + id).show(); } else { $('#btnSignIn-' + id).hide(); }
	if(showRegister){ $('#btnRegister-' + id).show(); } else { $('#btnRegister-' + id).hide(); }
	if(showMainMenu){ $('#btnActions-' + id).show(); } else { $('#btnActions-' + id).hide(); }
	if(showHelpAndSupport){ $('#btnHelpAndSupport-' + id).show(); } else { $('#btnHelpAndSupport-' + id).hide(); }
	if(showTermsOfService){ $('#btnTermOfService-' + id).show(); } else { $('#btnTermOfService-' + id).hide(); }
	if(showPrivacyPolicy){ $('#btnPrivacyPolicy-' + id).show(); } else { $('#btnPrivacyPolicy-' + id).hide(); }
	if(showSignOut){ $('#btnSignOut-' + id).show(); } else { $('#btnSignOut-' + id).hide(); }
	if(showSignOut){ $('.feedback-btn').show(); } else { $('.feedback-btn').hide(); }
}

$(function() {
	$( document ).on( "pagebeforeshow", function( event ) {
		setMainNav();
	});
});

$(document).ready(function() {
	$(".btnSignOut").click(function(){
		clearLogin();
	});
});

