$(function() {
    $('#frmSignIn').validate({
        rules: {
            frmSignIn_username: {
                required: true
            },
            frmSignIn_password: {
                required: true
            }
        },
        messages: {
            frmSignIn_username: {
                required: "Username required."
            },
            frmSignIn_password: {
                required: "Password required."
            }
        },
        errorPlacement: function (error, element) {
            if (element.is('select')) {
                error.insertAfter(element.parents('div.ui-select'));
			} else {
                error.insertAfter(element.parent('div'));
            }
        },
		submitHandler: function(form) {
			var sUsername = $('#frmSignIn_username').val();
			var sPassword = $('#frmSignIn_password').val();
			
			$.mobile.showPageLoadingMsg();
			var jqxhr = $.post("https://xymobile.xytex.com/login_action-mobile.cfm", 
			{
				txtUserName : sUsername,
				txtPassword : sPassword
			},
			function(data) {  
				var result = new String(data);
				if(result.substring(0, 15) == '<div class="err') {
					$('.signin_result').html(data);
					$.mobile.changePage( $('#xytex_signin_result'), { transition: "slide"} );
				} else {
					$('#hdnUsername').val(sUsername);
					$('#hdnPassword').val(sPassword);
					
					var arr = data.split("|");
					
					$('#hdnFirstName').val(arr[0]);
					$('#hdnLastName').val(arr[1]);
					$('#hdnSessionID').val(arr[2]);
					
					$.mobile.changePage( $('#xytex_actions'), { transition: "slide"} );
					$( "#popupBasic" ).popup("open");
				}
			})
			.done(function() { 
				//alert("second success"); 
			})
			.fail(function(data) { 
				$('.signin_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p>');
				$.mobile.changePage( $('#xytex_signin_result'), { transition: "slide"} );
			})
			.always(function() { 
				$.mobile.hidePageLoadingMsg();
			}); 
	
			return false;
		}
    });	
});