function viewProfile(){
	var donor_id = $(this).attr('donor_id');	
	var profile_type = $(this).attr('profile_type');	

	$.mobile.showPageLoadingMsg();
	var jqxhr = $.post("https://xymobile.xytex.com/sperm-donor-search/profile-mobile.cfm", 
	{
		mobileSessionID : $('#hdnSessionID').val(),
		donor_id : donor_id,
		profile_type : profile_type
	},
	function(data) {  
		if(data == "Unauthorized Access") {
			clearLogin();
		} else {
			$('.donor_profile_result').html(data);
			$('a.profile_nav').button();
			$('a.btnPurchase').button();
			$("a.btnPurchase").click(function(){
				$('#hdnPurchaseOptionsDonorID').val($(this).attr('donor_id'));
				$.mobile.changePage( $('#xytex_purchase_options'), { transition: "slide"} );
			});
			
			$('.profile_nav').on("click", viewProfile);
			$('.alternativeDonor').on("click", viewProfile);
			$('#profile-collapsible-set').collapsibleset();

			/* This will handle external links and open these in native device broswer.
			Further condition applied for the smugmug gallery links and confirming user
			that the link will open in native browser */

			$(".external").on( "click", function( e ) {
				e.preventDefault();
		
				var url = $(this).attr('href');
				if(url.indexOf("https://xymobile.xytex.com/smugmug/") == 0){
					var r = confirm("This donor's xyPortrait images will open in your device's default internet browser. When you are finished viewing the images, you can open this app again to return to this screen.")
					if (r == true)
					{
						var ref = window.open($(this).attr('href'), '_system');
					}
				} else {
					var ref = window.open($(this).attr('href'), '_system');
				}
			});	

			// This is live chat link, to open it in native browser.
			
			$(".lpChatTextLink").on( "click", function( e ) {
				e.preventDefault();
				
				var ref = window.open($(this).attr('href'), '_system');
			});	

			$('.btnBackToResults').hide();
			$('.btnBackToFavorites').show();
			
			$.mobile.changePage( $('#xytex_donor_profile'), { transition: "slide"} );
		}
	})
	.done(function() { 
		//alert("second success"); 
	})
	.fail(function(data) { 
		//alert(JSON.stringify(data));
		$('.donor_profile_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
		$.mobile.changePage( $('#xytex_donor_profile'), { transition: "slide"} );
	})
	.always(function() { 
		$.mobile.hidePageLoadingMsg();
	}); 

	return false;
}

$(function() {
	$("#btnMyFavoriteDonors").click(function(){
		$.mobile.showPageLoadingMsg();
		var jqxhr = $.post("https://xymobile.xytex.com/favorite-donors-mobile.cfm", 
		{
			mobileSessionID : $('#hdnSessionID').val()
		},
		function(data) {
			if(data == "Unauthorized Access") {
				clearLogin();
			} else {
				$('.favorite_donors_result').html(data);
	
				$('#my-fav-donors-list  a.profile_options').button();
				$('#my-fav-donors-list  a.profile_options').buttonMarkup({ mini: true });
				$('#my-fav-donors-list  a.profile_options').on("click", viewProfile);
	
				$.mobile.changePage( $('#xytex_favorite_donors'), { transition: "slide"} ); 
			}
		})
		.done(function() { 
			//alert("second success"); 
		})
		.fail(function(data) { 
			//alert(JSON.stringify(data));
			$('.favorite_donors_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
			$.mobile.changePage( $('#xytex_favorite_donors'), { transition: "slide"} );
		})
		.always(function() { 
			$.mobile.hidePageLoadingMsg();
		}); 

		return false;
	});
});