function autoSignIn(sUsername, sPassword){
	var jqxhr = $.post("https://xymobile.xytex.com/login_action-mobile.cfm", 
	{
		txtUserName : sUsername,
		txtPassword : sPassword
	},
	function(data) {  
		var result = new String(data);
		if(result.substring(0, 15) == '<div class="err') {
			// do nothing
		} else {
			var arr = data.split("|");
			
			$('#hdnFirstName').val(arr[0]);
			$('#hdnLastName').val(arr[1]);
			$('#hdnSessionID').val(arr[2]);
		}
	})
	.done(function() { 
		//alert("second success"); 
	})
	.fail(function(data) { 
		// do nothing
	})
	.always(function() { 
		// do nothing
	}); 
}

$(function() {
    $('#frmRegister').validate({
        rules: {
            frmRegister_firstname: {
                required: true
            },
            frmRegister_lastname: {
                required: true
            },
            frmRegister_email: {
                required: true,
				email: true
             },
            frmRegister_confirmemail: {
                required: true,
				email: true,
				equalTo: "#frmRegister_email"
             },
            frmRegister_username: {
                required: true
            },
            frmRegister_password: {
                required: true
            }
        },
        messages: {
            frmRegister_firstname: {
                required: "First name required."
            },
            frmRegister_lastname: {
                required: "Last name required."
            },
			frmRegister_email: {
				required: "Email required.",
				email: "Invalid email."
 			},
            frmRegister_confirmemail: {
                required: "Confirm Email required.",
				email: "Invalid email.",
				equalTo: "Emails do not match."
			},
            frmRegister_username: {
                required: "Username required."
            },
            frmRegister_password: {
                required: "Password required."
            }
        },
        errorPlacement: function (error, element) {
            if (element.is('select')) {
                error.insertAfter(element.parents('div.ui-select'));
			} else {
                error.insertAfter(element.parent('div'));
            }
        },
		submitHandler: function(form) {
			var sFirstName = $('#frmRegister_firstname').val();
			var sLastName = $('#frmRegister_lastname').val();
			var sEmail = $('#frmRegister_email').val();
			var sUsername = $('#frmRegister_username').val();
			var sPassword = $('#frmRegister_password').val();
			
			//clear form data
			$('#frmRegister_firstname').val('');
			$('#frmRegister_lastname').val('');
			$('#frmRegister_email').val('');
			$('#frmRegister_username').val('');
			$('#frmRegister_password').val('');
			
			$.mobile.showPageLoadingMsg();
			var jqxhr = $.post("https://xymobile.xytex.com/account_setup_action-mobile.cfm", 
			{
				txtFirstName : sFirstName,
				txtLastName : sLastName,
				txtUserName : sUsername,
				txtEmailAddress : sEmail,
				txtPassword : sPassword
			},
			function(data) {  
				$('.registration_result').html(data);
				
				autoSignIn(sUsername, sPassword);

				$.mobile.changePage( $('#xytex_registration_result'), { transition: "slide"} );
			})
			.done(function() { 
				//alert("second success"); 
			})
			.fail(function(data) { 
				$('.registration_result').html('<p>An error happened while processing this request. Please make sure the network connection is available.</p><p><a class="btnGoBack" href="#" data-rel="back"  data-role="button" data-mini="true" data-inline="true" data-icon="arrow-l">Go Back</a></p>');
				$('.btnGoBack').button();
				$.mobile.changePage( $('#xytex_registration_result'), { transition: "slide"} );
			})
			.always(function() { 
				$.mobile.hidePageLoadingMsg();
			}); 
	
			return false;
		}
	});
});